
From: Badari Pulavarty <pbadari@us.ibm.com>

Remvoe PG_highmem, to save a page flag.

Signed-off-by: Badari Pulavarty <pbadari@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/frv/mm/init.c         |    1 -
 arch/i386/mm/init.c        |    1 -
 arch/mips/mm/init.c        |    1 -
 arch/ppc/mm/init.c         |    1 -
 arch/sparc/mm/init.c       |    1 -
 arch/um/kernel/mem.c       |    1 -
 include/linux/page-flags.h |    2 +-
 7 files changed, 1 insertion(+), 7 deletions(-)

diff -puN arch/frv/mm/init.c~mm-remove-pg_highmem arch/frv/mm/init.c
--- 25/arch/frv/mm/init.c~mm-remove-pg_highmem	Fri May 20 15:22:50 2005
+++ 25-akpm/arch/frv/mm/init.c	Fri May 20 15:22:50 2005
@@ -169,7 +169,6 @@ void __init mem_init(void)
 		struct page *page = &mem_map[pfn];
 
 		ClearPageReserved(page);
-		set_bit(PG_highmem, &page->flags);
 		set_page_count(page, 1);
 		__free_page(page);
 		totalram_pages++;
diff -puN arch/i386/mm/init.c~mm-remove-pg_highmem arch/i386/mm/init.c
--- 25/arch/i386/mm/init.c~mm-remove-pg_highmem	Fri May 20 15:22:50 2005
+++ 25-akpm/arch/i386/mm/init.c	Fri May 20 15:22:50 2005
@@ -269,7 +269,6 @@ void __init one_highpage_init(struct pag
 {
 	if (page_is_ram(pfn) && !(bad_ppro && page_kills_ppro(pfn))) {
 		ClearPageReserved(page);
-		set_bit(PG_highmem, &page->flags);
 		set_page_count(page, 1);
 		__free_page(page);
 		totalhigh_pages++;
diff -puN arch/mips/mm/init.c~mm-remove-pg_highmem arch/mips/mm/init.c
--- 25/arch/mips/mm/init.c~mm-remove-pg_highmem	Fri May 20 15:22:50 2005
+++ 25-akpm/arch/mips/mm/init.c	Fri May 20 15:22:50 2005
@@ -232,7 +232,6 @@ void __init mem_init(void)
 #ifdef CONFIG_LIMITED_DMA
 		set_page_address(page, lowmem_page_address(page));
 #endif
-		set_bit(PG_highmem, &page->flags);
 		set_page_count(page, 1);
 		__free_page(page);
 		totalhigh_pages++;
diff -puN arch/ppc/mm/init.c~mm-remove-pg_highmem arch/ppc/mm/init.c
--- 25/arch/ppc/mm/init.c~mm-remove-pg_highmem	Fri May 20 15:22:50 2005
+++ 25-akpm/arch/ppc/mm/init.c	Fri May 20 15:22:50 2005
@@ -469,7 +469,6 @@ void __init mem_init(void)
 			struct page *page = mem_map + pfn;
 
 			ClearPageReserved(page);
-			set_bit(PG_highmem, &page->flags);
 			set_page_count(page, 1);
 			__free_page(page);
 			totalhigh_pages++;
diff -puN arch/sparc/mm/init.c~mm-remove-pg_highmem arch/sparc/mm/init.c
--- 25/arch/sparc/mm/init.c~mm-remove-pg_highmem	Fri May 20 15:22:50 2005
+++ 25-akpm/arch/sparc/mm/init.c	Fri May 20 15:22:50 2005
@@ -384,7 +384,6 @@ void map_high_region(unsigned long start
 		struct page *page = pfn_to_page(tmp);
 
 		ClearPageReserved(page);
-		set_bit(PG_highmem, &page->flags);
 		set_page_count(page, 1);
 		__free_page(page);
 		totalhigh_pages++;
diff -puN arch/um/kernel/mem.c~mm-remove-pg_highmem arch/um/kernel/mem.c
--- 25/arch/um/kernel/mem.c~mm-remove-pg_highmem	Fri May 20 15:22:50 2005
+++ 25-akpm/arch/um/kernel/mem.c	Fri May 20 15:22:50 2005
@@ -53,7 +53,6 @@ static void setup_highmem(unsigned long 
 	for(i = 0; i < highmem_len >> PAGE_SHIFT; i++){
 		page = &mem_map[highmem_pfn + i];
 		ClearPageReserved(page);
-		set_bit(PG_highmem, &page->flags);
 		set_page_count(page, 1);
 		__free_page(page);
 	}
diff -puN include/linux/page-flags.h~mm-remove-pg_highmem include/linux/page-flags.h
--- 25/include/linux/page-flags.h~mm-remove-pg_highmem	Fri May 20 15:22:50 2005
+++ 25-akpm/include/linux/page-flags.h	Fri May 20 15:22:50 2005
@@ -215,7 +215,7 @@ extern void __mod_page_state(unsigned of
 #define TestSetPageSlab(page)	test_and_set_bit(PG_slab, &(page)->flags)
 
 #ifdef CONFIG_HIGHMEM
-#define PageHighMem(page)	test_bit(PG_highmem, &(page)->flags)
+#define PageHighMem(page)	is_highmem(page_zone(page))
 #else
 #define PageHighMem(page)	0 /* needed to optimize away at compile time */
 #endif
_
